package Cpanel::Template::Plugin::JetBackup;


use strict;

use JSON qw(decode_json);
use base 'Template::Plugin';

#sub load {
#       my ( $class, $context ) = @_;
#       return $class;
#}

sub new {
	my ($class) = @_;
	my $plugin = { 'api' => \&_api };

	return bless $plugin, $class;
}

sub _api {

	my($func,$data) = @_;
	my $cmd="/usr/local/jetapps/usr/bin/jetbackupapi -F $func" . ($data ? " -D \"$data\"" : '') . " -O json 2>&1";
	my $result=`$cmd`;
	my $result_ary = eval { decode_json($result) };

	if ($@)
	{
		my $response = {
			success => 0,
			message => $result
		};

		return $response;
	}

	return $result_ary;
}


1;