'use strict';

define([
	'app',
	], function(app) {
	app.controller("destinationAmazonS3", ["$scope", function ($scope) {

		/*
		$scope.amazonregions = [
			{ label: $scope.LANG.t("US East (N. Virginia)"), value: 'us-east-1' },
			{ label: $scope.LANG.t("US East (Ohio)"), value: 'us-east-2' },
			{ label: $scope.LANG.t("US West (Oregon)"), value: 'us-west-2' },
			{ label: $scope.LANG.t("US West (N. California)"), value: 'us-west-1' },
			{ label: $scope.LANG.t("EU (Frankfurt)"), value: 'eu-central-1' },
			{ label: $scope.LANG.t("EU (Ireland)"), value: 'eu-west-1' },
			{ label: $scope.LANG.t("EU (London)"), value: 'eu-west-2' },
			{ label: $scope.LANG.t("EU (Paris)"), value: 'eu-west-3' },
			{ label: $scope.LANG.t("Asia Pacific (Singapore)"), value: 'ap-southeast-1' },
			{ label: $scope.LANG.t("Asia Pacific (Tokyo)"), value: 'ap-northeast-1' },
			{ label: $scope.LANG.t("Asia Pacific (Sydney)"), value: 'ap-southeast-2' },
			{ label: $scope.LANG.t("Asia Pacific (Seoul)"), value: 'ap-northeast-2' },
			{ label: $scope.LANG.t("Asia Pacific (Mumbai)"), value: 'ap-south-1' },
			{ label: $scope.LANG.t("South America (São Paulo)"), value: 'sa-east-1' },
			{ label: $scope.LANG.t("Canada (Central)"), value: 'ca-central-1' }
		];
		*/

		$scope.amazonregions = {
			'us-east-1': $scope.LANG.t("US East (N. Virginia)"),
			'us-east-2': $scope.LANG.t("US East (Ohio)"),
			'us-west-2': $scope.LANG.t("US West (Oregon)"),
			'us-west-1': $scope.LANG.t("US West (N. California)"),
			'eu-central-1': $scope.LANG.t("EU (Frankfurt)"),
			'eu-west-1': $scope.LANG.t("EU (Ireland)"),
			'eu-west-2': $scope.LANG.t("EU (London)"),
			'eu-west-3': $scope.LANG.t("EU (Paris)"),
			'eu-north-1': $scope.LANG.t("EU (Stockholm)"),
			'ap-southeast-1': $scope.LANG.t("Asia Pacific (Singapore)"),
			'ap-northeast-1': $scope.LANG.t("Asia Pacific (Tokyo)"),
			'ap-southeast-2': $scope.LANG.t("Asia Pacific (Sydney)"),
			'ap-northeast-2': $scope.LANG.t("Asia Pacific (Seoul)"),
			'ap-south-1': $scope.LANG.t("Asia Pacific (Mumbai)"),
			'sa-east-1': $scope.LANG.t("South America (São Paulo)"),
			'ca-central-1': $scope.LANG.t("Canada (Central)")
		};

		$scope.limit_options = [
			{ label: $scope.LANG.t("Unlimited"), value: 0 },
			{ label: "256 KB/s", value: 256 },
			{ label: "512 KB/s", value: 512 },
			{ label: "1 MB/s", value: 1024 },
			{ label: "2 MB/s", value: 2048 },
			{ label: "3 MB/s", value: 3072 },
			{ label: "4 MB/s", value: 4096 },
			{ label: "5 MB/s", value: 5120 },
			{ label: "6 MB/s", value: 6144 },
			{ label: "7 MB/s", value: 7168 },
			{ label: "8 MB/s", value: 8192 },
			{ label: "9 MB/s", value: 9216 },
			{ label: "10 MB/s", value: 10240 },
			{ label: "15 MB/s", value: 15360 },
			{ label: "20 MB/s", value: 20480 },
			{ label: "25 MB/s", value: 25600 },
			{ label: "30 MB/s", value: 30720 },
			{ label: "35 MB/s", value: 35840 },
			{ label: "40 MB/s", value: 40960 },
			{ label: "45 MB/s", value: 46080 },
			{ label: "50 MB/s", value: 51200 },
			{ label: "60 MB/s", value: 61440 },
			{ label: "70 MB/s", value: 71680 },
			{ label: "80 MB/s", value: 81920 },
			{ label: "90 MB/s", value: 92160 },
			{ label: "100 MB/s", value: 102400 }
		];

		$scope.chunksize_options = [
			{ label: "8 MB", value: 8 },
			{ label: "16 MB", value: 16 },
			{ label: "32 MB", value: 32 },
			{ label: "64 MB", value: 64 },
			{ label: "128 MB", value: 128 },
			{ label: "256 MB", value: 256 },
			{ label: "512 MB", value: 512 },
			{ label: "1024 MB", value: 1024 }
		];

	}]);
});