'use strict';

define([
	'app',
	], function(app) {
	app.controller("resourceSettings", ["$rootScope", "$scope",
			function ($rootScope, $scope) {
				$scope.limit_options = [
					{ label: $scope.LANG.t("Unlimited"), value: 0 },
					{ label: "256 KB/s", value: 256 },
					{ label: "512 KB/s", value: 512 },
					{ label: "1 MB/s", value: 1024 },
					{ label: "2 MB/s", value: 2048 },
					{ label: "3 MB/s", value: 3072 },
					{ label: "4 MB/s", value: 4096 },
					{ label: "5 MB/s", value: 5120 },
					{ label: "6 MB/s", value: 6144 },
					{ label: "7 MB/s", value: 7168 },
					{ label: "8 MB/s", value: 8192 },
					{ label: "9 MB/s", value: 9216 },
					{ label: "10 MB/s", value: 10240 },
					{ label: "15 MB/s", value: 15360 },
					{ label: "20 MB/s", value: 20480 },
					{ label: "25 MB/s", value: 25600 },
					{ label: "30 MB/s", value: 30720 },
					{ label: "35 MB/s", value: 35840 },
					{ label: "40 MB/s", value: 40960 },
					{ label: "45 MB/s", value: 46080 },
					{ label: "50 MB/s", value: 51200 },
					{ label: "60 MB/s", value: 61440 },
					{ label: "70 MB/s", value: 71680 },
					{ label: "80 MB/s", value: 81920 },
					{ label: "90 MB/s", value: 92160 },
					{ label: "100 MB/s", value: 102400 }
				];

				$scope.ioniceclass_options = [
					{ label: $scope.LANG.t("None"), value: 0 },
					{ label: $scope.LANG.t("Real Time"), value: 1 },
					{ label: $scope.LANG.t("Best Effort"), value: 2 },
					{ label: $scope.LANG.t("Idle"), value: 3 }
				];

				$scope.ioniceclassdata_options = [0,1,2,3,4,5,6,7];
				$scope.renicepriority_options = [];
				for(var i = -20; i < 20; i++) $scope.renicepriority_options.push({ value: i, label: (i > 0 ? "+"+i : i) });
	}]);
});