'use strict';

define(['app'], function (app) {
	app.directive('mAppLoading', function($animate) {
		return({
			link: function (scope, element, attributes) {
				$animate.leave( element.children().eq( 1 ) ).then(function cleanupAfterAnimation() {
						element.remove();
						scope = element = attributes = null;
					}
				);
			},
			restrict: "C"
		});
	});
});