'use strict';

define([
	'app'
	], function(app) {
	app.controller("cxs",
		["$rootScope", "$scope",
			function ($rootScope, $scope) {

				$scope.flags = [
					{ label: $scope.t("Restore Infected File"), value: 1 },
					{ label: $scope.t("Lock Account Last Backup"), value: 2 }
				];

				$scope.flagChecked = function(flag, flags) {
					return ( flag & flags );
				};

				$scope.toggleFlags = function(flag) {
					if($scope.flagChecked(flag, $scope.saveData.options.flags)) {
						$scope.saveData.options.flags ^= flag;
					}
					else {
						$scope.saveData.options.flags |= flag;
					}
				};
			}
		]
	);
});