'use strict';

define([
	"app"
],function(app) {
	app.factory('consts', function () {

		var consts = {

			// Backup Types
			BACKUP_TYPE_CONFIG: 1<<0,
			BACKUP_TYPE_FILES: 1<<1,
			BACKUP_TYPE_DATABASES: 1<<2,
			BACKUP_TYPE_EMAILS: 1<<3,
			BACKUP_TYPE_CRON_JOBS: 1<<4,
			BACKUP_TYPE_DNS_ZONES: 1<<5,
			BACKUP_TYPE_SSL_CERTIFICATES: 1<<6,
			BACKUP_TYPE_FULL: 0,
			BACKUP_TYPE_DIRECTORIES_FILES: 1<<7,
			BACKUP_TYPE_DIRECTORIES_DIRS: 1<<8,
			BACKUP_TYPE_DIRECTORIES: 0,
			BACKUP_TYPE_REPLICATE: 1<<9,
			BACKUP_TYPE_DISASTER_RECOVERY: 1<<10
		};

		consts.BACKUP_TYPE_FULL =
			consts.BACKUP_TYPE_CONFIG |
			consts.BACKUP_TYPE_FILES |
			consts.BACKUP_TYPE_DATABASES |
			consts.BACKUP_TYPE_EMAILS |
			consts.BACKUP_TYPE_CRON_JOBS |
			consts.BACKUP_TYPE_DNS_ZONES |
			consts.BACKUP_TYPE_SSL_CERTIFICATES;


		return consts;
	});
});