'use strict';

define([
	'app'
	], function(app) {
	app.controller("notificationSettings",
		["$rootScope", "$scope",
			function ($rootScope, $scope) {

				$scope.alertsChecked = function(type, types) {
					return ( type & types );
				};

				$scope.toggleAlerts = function(type) {

					if($scope.alertsChecked(type, $scope.saveData.alerts))
					{
						$scope.saveData.alerts ^= type;
					}
					else
					{
						$scope.saveData.alerts |= type;
					}
				};

			}]);
});